<?xml version="1.0" encoding="UTF-8"?>
<!DOCTYPE mapper PUBLIC "-//mybatis.org//DTD Mapper 3.0//EN" "http://mybatis.org/dtd/mybatis-3-mapper.dtd">
<mapper namespace="com.huatek.busi.mapper.TransformerMicroMapper">

    <sql id="Base_Column_List">
            phase as phase,
            site_id as siteId,
            moisture as moisture
    </sql>

    <select id="selectTransformerMicroPage" parameterType="com.huatek.busi.dto.TransformerMicroDto" resultType="com.huatek.busi.vo.TransformerMicroVo">
        SELECT
        <include refid="Base_Column_List"/>
        FROM
        transformer_micro t
        WHERE 1=1
        <if test="phase != null and phase != ''">
             and t.phase = #{phase}
        </if>
        <if test="siteId != null and siteId != ''">
             and t.site_id = #{siteId}
        </if>
        <if test="moisture != null and moisture != ''">
             and t.moisture = #{moisture}
        </if>
    </select>

</mapper>